Search Results for

Show / Hide Table of Contents

# Struct EventTracker

The event trackers object specifies the types of events the bidder can request to be tracked in the bid response.

##### Inherited Members

ValueType.Equals(object)
ValueType.GetHashCode()
ValueType.ToString()
object.Equals(object, object)
object.GetType()
object.ReferenceEquals(object, object)

###### Namespace: AppstockSDK.Api.Native.Data.Request

###### Assembly: Appstock.Core.dll

##### Syntax

    [Serializable]
    public struct EventTracker

### Fields

#### eventType

Gets or sets event type.

##### Declaration

    [Tooltip("Type of event available for tracking.\nORTB: eventtrackers[i].event")]
    public EventTracker.EventType eventType

##### Field Value

Type | Description
--- | ---
EventTracker.EventType | Type of event available for tracking.

##### Remarks

ORTB: `eventtrackers[i].event`

#### methods

Gets or sets event tracking methods.

##### Declaration

    [Tooltip("Types of tracking available for the given event.\nORTB: eventtrackers[i].methods")]
    public EventTracker.TrackingMethod[]? methods

##### Field Value

Type | Description
--- | ---
TrackingMethod[] | Types of tracking available for the given event.

##### Remarks

ORTB: `eventtrackers[i].methods`

##### See Also

EventTracker.TrackingMethod